Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-29767

CopyArtifact shows invalid promotion level

    Details

    • Type: Bug
    • Status: Open (View Workflow)
    • Priority: Minor
    • Resolution: Unresolved
    • Environment:
    • Similar Issues:

      Description

      When configuring a Job, Copy Artifact plugin shows "QA Build" by default" even if we change this to other values.
      I've checked on the job config.xml and the setting is correct.

      1- Changing value to Release Candidate:



      2- Open job config figures invalid info

      3- Config.xml file shows correct info:

      <hudson.plugins.copyartifact.CopyArtifact plugin="copyartifact@1.35.2">
      [...]
      <selector class="hudson.plugins.promoted_builds_simple.PromotedBuildSelector" plugin="promoted-builds-simple@1.9">
      <level>3</level>
      </selector>

        Attachments

          Issue Links

            Activity

            Hide
            ikedam ikedam added a comment -

            There's nothing more copyartifact can do.
            Remeved copyartifact from component/s.

            Show
            ikedam ikedam added a comment - There's nothing more copyartifact can do. Remeved copyartifact from component/s.
            Hide
            ikedam ikedam added a comment -

            Created a pull request: https://github.com/jenkinsci/promoted-builds-simple-plugin/pull/4
            I'm not sure this plugin is still maintained.

            Show
            ikedam ikedam added a comment - Created a pull request: https://github.com/jenkinsci/promoted-builds-simple-plugin/pull/4 I'm not sure this plugin is still maintained.
            Hide
            ikedam ikedam added a comment -
            • promoted-builds-simple depends on an undocumented variable selector provided by copyartifact <= 1.35.
            • Copyartifact no longer provides selector since 1.35.1. This results promoted-builds-simple fail to get its configuration and display default values.

            promoted-builds-simple should use the standard variable instance instead. I'll prepare a pull request for that fix.

            Workaround: You can avoid the problem by downgrading copyartifact to 1.35. Changes in 1.35.1 and 1.35.2 are not so important and I believe you don't have problems with 1.35.

            Show
            ikedam ikedam added a comment - promoted-builds-simple depends on an undocumented variable selector provided by copyartifact <= 1.35. Copyartifact no longer provides selector since 1.35.1. This results promoted-builds-simple fail to get its configuration and display default values. promoted-builds-simple should use the standard variable instance instead. I'll prepare a pull request for that fix. Workaround: You can avoid the problem by downgrading copyartifact to 1.35. Changes in 1.35.1 and 1.35.2 are not so important and I believe you don't have problems with 1.35.

              People

              • Assignee:
                Unassigned
                Reporter:
                cristian04 Cristian Marquez Russo
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated: